> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# App Store Keyword Rankings API

> One page of ranked app results for a keyword — for tracking App Store keyword rankings (ASO).



## OpenAPI

````yaml openapi.json GET /v1/apple/apps/keywords
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Competitor data. One API.
servers:
  - url: https://api.scoutlayer.io
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/apple/apps/keywords:
    get:
      tags:
        - apple
        - app-store
        - keywords
      summary: Get App Store app rankings for a keyword
      description: >-
        One page of ranked app results for a keyword — for tracking App Store
        keyword rankings (ASO).
      parameters:
        - schema:
            type: string
            minLength: 1
            example: email marketing
          required: true
          name: keyword
          in: query
        - schema:
            type: string
            example: US
          required: false
          name: country
          in: query
      responses:
        '200':
          description: Get App Store app rankings for a keyword
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppStoreRankingList'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '501':
          description: This endpoint is declared but not yet implemented — never charged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    AppStoreRankingList:
      type: object
      properties:
        apps:
          type: array
          items:
            $ref: '#/components/schemas/AppStoreRanking'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - apps
        - nextCursor
        - hasMore
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
    AppStoreRanking:
      type: object
      properties:
        appId:
          type: string
        title:
          type: string
        rank:
          type: integer
        url:
          type: string
        iconUrl:
          type: string
        rating:
          type: number
          nullable: true
        reviewsCount:
          type: integer
          nullable: true
        isFree:
          type: boolean
        price:
          type: object
          properties:
            current:
              type: number
            currency:
              type: string
          required:
            - current
            - currency
        developerName:
          type: string
        isSponsored:
          type: boolean
      required:
        - appId
        - title
        - rank
        - url
        - iconUrl
        - rating
        - reviewsCount
        - isFree
        - price
        - developerName
        - isSponsored
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````